org.jboss.jca.deployers.fungal.external

## Class LocalUndeploy

- java.lang.Object
- - org.jboss.jca.deployers.fungal.external.LocalUndeploy

- All Implemented Interfaces:
    com.github.fungal.api.remote.Command

      public class LocalUndeploy
      extends java.lang.Object
      implements com.github.fungal.api.remote.Command

  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalUndeploy(com.github.fungal.api.deployer.MainDeployer mainDeployer, RAActivator activator, LocalList localList)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `java.lang.Class[]` | `getParameterTypes()` name
    `java.io.Serializable` | `invoke(java.io.Serializable[] args)`
    `boolean` | `isPublic()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalUndeploy

          public LocalUndeploy(com.github.fungal.api.deployer.MainDeployer mainDeployer,
                               RAActivator activator,
                               LocalList localList)

      Constructor
      Parameters:
        `mainDeployer` - The main deployer
        `activator` - The RA activator
        `localList` - The local list command

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `com.github.fungal.api.remote.Command`

    - #### getParameterTypes

          public java.lang.Class[] getParameterTypes()

      name
      Specified by:
        `getParameterTypes` in interface `com.github.fungal.api.remote.Command`
      Returns:
        The class definitions

    - #### invoke

          public java.io.Serializable invoke(java.io.Serializable[] args)

      Specified by:
        `invoke` in interface `com.github.fungal.api.remote.Command`

    - #### isPublic

          public boolean isPublic()

      Specified by:
        `isPublic` in interface `com.github.fungal.api.remote.Command`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)